Skip to main content
GET
/
v1
/
redemptions
/
{redemptionId}
Get Redemption
curl --request GET \
  --url https://{cluster}.voucherify.io/v1/redemptions/{redemptionId} \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{ "id": "r_0bade27c428db5873e", "object": "redemption", "date": "2022-09-12T07:29:28.211Z", "customer_id": "cust_eWgXlBBiY6THFRJwX45Iakv4", "tracking_id": "track_9B0kB92+bJa8a+PegaWREw==", "metadata": {}, "result": "SUCCESS", "order": { "id": "ord_ebmAU9uv3dTE2Khqyh7i5ka7", "source_id": null, "created_at": "2022-09-12T07:29:26.245Z", "updated_at": null, "status": "PAID", "amount": 22500, "discount_amount": 300, "total_discount_amount": 300, "total_amount": 22200, "applied_discount_amount": 300, "total_applied_discount_amount": 300, "items": [ { "object": "order_item", "product_id": "prod_0b2c36568000039138", "quantity": 1, "amount": 22500, "price": 22500, "subtotal_amount": 22500, "product": { "id": "prod_0b2c36568000039138", "source_id": "86", "name": "[Sample] Able Brewing System", "price": 22500 } } ], "metadata": {}, "customer": { "id": "cust_eWgXlBBiY6THFRJwX45Iakv4", "object": "customer" }, "customer_id": "cust_eWgXlBBiY6THFRJwX45Iakv4", "referrer_id": null, "object": "order", "redemptions": { "r_0bade27c428db5873e": { "date": "2022-09-12T07:29:26.282Z", "related_object_type": "voucher", "related_object_id": "v_c1yOEjZXOyVIe89VAYiRvL3QimZjXo8h" } } }, "channel": { "channel_id": "user_g24UoRO3Caxu7FCT4n5tpYEa3zUG0FrH", "channel_type": "USER" }, "customer": { "id": "cust_eWgXlBBiY6THFRJwX45Iakv4", "name": "Bob Jones", "email": "bob.jones@email.com", "source_id": "36_bob", "metadata": { "accepts_marketing": false }, "object": "customer" }, "related_object_type": "voucher", "related_object_id": "v_c1yOEjZXOyVIe89VAYiRvL3QimZjXo8h", "voucher": { "id": "v_c1yOEjZXOyVIe89VAYiRvL3QimZjXo8h", "code": "FB-metadata-string", "campaign": null, "campaign_id": null, "category": null, "categories": [], "discount": null, "gift": null, "loyalty_card": null, "start_date": null, "expiration_date": null, "validity_timeframe": null, "validity_day_of_week": null, "additional_info": null, "assets": { "qr": {}, "barcode": {} }, "updated_at": null, "object": "voucher" } }

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

redemptionId
string
required

ID of previously created redemption.

Response

200 - application/json

Returns a redemption object.

This is an object representing a redemption.

id
string
required

Unique redemption ID.

Example:

"r_0bc92f81a6801f9bca"

object
enum<string>
default:redemption
required

The type of the object represented by the JSON

Available options:
redemption
date
string<date-time>
required

Timestamp representing the date and time when the object was created. The value is shown in the ISO 8601 format.

Example:

"2021-12-22T10:13:06.487Z"

customer_id
string | null
required

Unique customer ID of the redeeming customer.

Example:

"cust_i8t5Tt6eiKG5K79KQlJ0Vs64"

tracking_id
string | null
required

Hashed customer source ID.

metadata
object
required

The metadata object stores all custom attributes assigned to the redemption.

redemption
string | null
required

Unique redemption ID of the parent redemption.

Example:

"r_0c656311b5878a2031"

result
enum<string>
required

Redemption result.

Available options:
SUCCESS,
FAILURE
status
enum<string>
required

Redemption status.

Available options:
SUCCEEDED,
FAILED,
ROLLED_BACK
order
Order Calculated No Customer Data · object
required

Order information.

channel
object
required

Defines the details of the channel through which the redemption was issued.

customer
Simple Customer · object
required

Simplified customer data.

Defines the related object.

Available options:
voucher,
promotion_tier,
redemption

Unique related object ID assigned by Voucherify, i.e. v_lfZi4rcEGe0sN9gmnj40bzwK2FH6QUno for a voucher.

amount
integer

For gift cards, this is a positive integer in the smallest currency unit (e.g. 100 cents for $1.00) representing the number of redeemed credits. For loyalty cards, this is the number of loyalty points used in the transaction.

Example:

10000

session
object

Contains details about the redemption session lock. Sessions can be established only for discount vouchers, promotions, and gift cards.

failure_code
string

If the result is FAILURE, this parameter will provide a generic reason as to why the redemption failed.

Example:

"customer_rules_violated"

failure_message
string

If the result is FAILURE, this parameter will provide a more expanded reason as to why the redemption failed.

promotion_tier
Promotion Tier · object

Contains details of the promotion tier and the parent campaign.

reward
Redemption Reward Result · object
gift
object

Contains the amount subtracted from the gift card for the redemption.

loyalty_card
object

Contains the number of points subtracted from the loyalty card for the redemption.

voucher
Voucher Holder · object

Defines the details of the voucher being redeemed.

Last modified on February 20, 2026